function [I,B,C,E]=DTC_example_sim(A3,A4,C34,K34)

Ldur=20;
Lstr=255;

% First flash at location 1 occurs at t=20 ms
T1=20;
% Second flash at location 2 occurs at t=55 ms
T2=55;

B1=10;
K2=50;
Tb=0.1;
Te=0.2;

dt=0.001; % 1 ms

x_t1=zeros(1,2);
z_t1=ones(1,2);
c_t1=zeros(1,2,2);
e_t1=zeros(1,2,2);

I=zeros(1,2);

for t=2:200

    if (t>=T1)&(t<=T1+Ldur)
        I(1,1,t)=Lstr;
    else
        I(1,1,t)=0;
    end

    if (t>=T2)&(t<=T2+Ldur)
        I(1,2,t)=Lstr;
    else
        I(1,2,t)=0;
    end

    [x_t2,z_t2,B_t2]=NDTransientCells(x_t1,z_t1,I(:,:,t),B1,K2,Tb);
    B_t1=max(x_t1.*z_t1-Tb,0);
    x_t1=x_t2;
    z_t1=z_t2;

    [c_t2,e_t2]=DTransientCells(B_t1,c_t1,e_t1,A3,A4,C34,K34,Te);
    c_t1=c_t2;
    e_t1=e_t2;

    C(:,:,:,t)=max(c_t2,0);
    E(:,:,:,t)=max(e_t2-Te,0);
    B(:,:,t)=max(x_t2.*z_t2-Tb,0);

end

return